/*
Koko sovelluksen konfiguraatiotiedosto, jossa tehdään koko sovellusta koskevia
määrityksiä. Esim. reititys otetaan käyttöön täällä, mutta tässä sovelluksessa 
sitä ei ole.
*/

import { ApplicationConfig, provideZoneChangeDetection } from '@angular/core';

export const appConfig: ApplicationConfig = {
  // Otetaan käyttöön zone.js:ään perustuva DOM:in muutostenhavainnointi
  providers: [provideZoneChangeDetection({ eventCoalescing: true })],
};
