/*
Tässä komponentissa demotaan Angularin data-bindingin perusteita
*/

import { Component } from '@angular/core';

@Component({
  selector: 'app-hello-bindings',
  standalone: true,
  imports: [],
  templateUrl: './hello-bindings.component.html',
  styleUrl: './hello-bindings.component.css',
})
/*
Kun luokan propertyjen (eli muuttujien) arvot muuttuvat, muutokset
näkyvät käyttöliittymässä, koska ne on bindattu sinne. Voit
muuttaa alla olevia arvoja kirjoittamalla, tai Angular Devtoolsista. 
Yleensä jokin tapahtuma sovelluksessa (esim. napin painallus) muuttaa 
niitä. 
*/
export class HelloBindingsComponent {
  fontColor = 'blue'; // bindattu HTML-sisältöön {{fontColor}}
  canNotClick = false; // bindattu HTML-attribuuttiin [disabled]="canNotClick"
  message = 'Hello, World';

  sayMessage() {
    // bindattu HTML-eventtiin (click)="sayMessage()"
    alert(this.message);
  }
}
