/*
Esimerkki demoaa data-bindauksia ja contenteditable-attribuutin käyttöä. 
Lisäksi tehdään iffitys templaattiin, eli templaatissa napin teksti 
vaihtuu sen perusteella ollaanko editointitilassa vai ei.
*/

import { Component } from '@angular/core';

@Component({
  selector: 'app-hello-edit-if',
  standalone: true,
  imports: [],
  templateUrl: './hello-edit-if.component.html',
  styleUrl: './hello-edit-if.component.css',
})
export class HelloEditIfComponent {
  message = "I'm read only!";
  canEdit = false;

  onEditClick() {
    // Napin klikkaus vaihtaa aina canEdit-propertyn arvon
    this.canEdit = !this.canEdit;
    if (this.canEdit) {
      this.message = 'You can edit me!';
    } else {
      this.message = "I'm read only!";
    }
  }
}
