import { Injectable } from '@angular/core';
/*
Tämä on service, eli luokka joka voi tarjota palveluita
kaikille Angularin komponenteille ja muillekin rakenneosille.
Se on Injectable, eli voidaan "injektoida" komponenttiin
konstruktorin kautta. Logger-service on hyvin yksinkertainen,
eikä tee muuta kuin loggaa laskurin tuottaman numeron konsoliin.

{ providedIn: 'root' } tekee luokasta luotavasta oliosta singletonin,
eli vain yksi olio on käytössä koko sovelluksessa yhteisenä kaikille
servicen käyttäjille. 
*/
@Injectable({ providedIn: 'root' })
export class Logger {
  logCountToConsole(count: number) {
    console.log(count);
  }
}
